<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLoginTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('Login', function (Blueprint $table) {
            $table->increments('id');
            $table->string('hash_key')->collation('utf8_unicode_ci')->nullable(false);
            $table->string('client_id')->collation('utf8_unicode_ci')->nullable(false);
            $table->char('status', 1);
            $table->integer('date_create')->nullable(false);
            $table->integer('date_update')->nullable(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('Login');
    }
}
